From e0cfd43f77b5646a953c3a75a768b82198036962 Mon Sep 17 00:00:00 2001
From: manisha <manisha_kanyal.scsebtech@galgotiasuniversity.edu.in>
Date: Aug 02 2021 12:42:00 +0000
Subject: [PATCH 1/11] added translation


---

diff --git a/src/App.js b/src/App.js
index e04e484..c591221 100644
--- a/src/App.js
+++ b/src/App.js
@@ -1,4 +1,4 @@
-import React from "react"
+import React, { useEffect } from "react"
 
 import { Route, Switch } from "react-router"
 import { BrowserRouter } from "react-router-dom"
@@ -6,7 +6,16 @@ import { BrowserRouter } from "react-router-dom"
 import Wizard from "./wizard/Wizard"
 import LandingPage from "./landingpage/LandingPage"
 import NotFound from "./NotFound"
+import { useDispatch } from "react-redux"
+import { changeLanguage } from "./actions/reduxActions"
 const App = () => {
+  const dispatch = useDispatch()
+
+  useEffect(() => {
+    const lang = localStorage.getItem("locale") || "en"
+    dispatch(changeLanguage(lang))
+  }, [])
+
   return (
     <BrowserRouter basename={window.env.SUBDIR}>
       <Switch>
diff --git a/src/NotFound.js b/src/NotFound.js
index 9790a44..86ffa11 100644
--- a/src/NotFound.js
+++ b/src/NotFound.js
@@ -2,8 +2,11 @@ import React from "react"
 import Layout from "./layout/Layout"
 import { Link } from "react-router-dom"
 import { Container } from "reactstrap"
+import { useSelector } from "react-redux"
 
 const Wizard = () => {
+  const { i18n } = useSelector((state) => state.locale)
+
   return (
     <Layout>
       <Container>
@@ -14,7 +17,7 @@ const Wizard = () => {
               😢
             </span>
           </h3>
-          <Link to="/">Go to home page</Link>
+          <Link to="/"> {i18n.t("phrases.go_to_home")}</Link>
         </p>
       </Container>
     </Layout>
diff --git a/src/actions/reduxActions.js b/src/actions/reduxActions.js
index 1c96a21..b32bffc 100644
--- a/src/actions/reduxActions.js
+++ b/src/actions/reduxActions.js
@@ -85,3 +85,8 @@ export const toggleLandingPageModal = (status) => ({
   type: ActionTypes.TOGGLE_LANDING_PAGE_MODAL,
   payload: status,
 })
+
+export const changeLanguage = (lang) => ({
+  type: ActionTypes.CHANGE_LANGUAGE,
+  payload: lang,
+})
diff --git a/src/constants/index.js b/src/constants/index.js
index 7b60f04..f78a042 100644
--- a/src/constants/index.js
+++ b/src/constants/index.js
@@ -6,4 +6,5 @@ export default {
   UPDATE_LANDING_PAGE_API_CALL_STATUS: "UPDATE_LANDING_PAGE_API_CALL_STATUS",
   UPDATE_WIZARD_API_CALL_STATUS: "UPDATE_WIZARD_API_CALL_STATUS",
   TOGGLE_LANDING_PAGE_MODAL: "TOGGLE_LANDING_PAGE_MODAL",
+  CHANGE_LANGUAGE: "CHANGE_LANGUAGE",
 }
diff --git a/src/landingpage/Blockers.js b/src/landingpage/Blockers.js
index 95e71bf..1cd815a 100644
--- a/src/landingpage/Blockers.js
+++ b/src/landingpage/Blockers.js
@@ -2,23 +2,26 @@ import React from "react"
 import { Row, Card, CardBody } from "reactstrap"
 import SourceLink from "./SourceLink"
 import BugStats from "./common/BugStats"
+import { useSelector } from "react-redux"
 
 const Blockers = (props) => {
+  const { i18n } = useSelector((state) => state.locale)
+
+  console.log(i18n.t("phrases.blockers_and_FEs"))
+
   return (
-    props.data && (
-      <Card className="cards">
-        <CardBody>
-          <h1 className="text-center padded">
-            Fedora {props.release} blockers and FEs{" "}
-            <SourceLink href="https://qa.fedoraproject.org/blockerbugs/" />
-          </h1>
-          <Row>
-            <BugStats milestone={"Beta"} stats={props.data.beta} />
-            <BugStats milestone={"Final"} stats={props.data.final} />
-          </Row>
-        </CardBody>
-      </Card>
-    )
+    <Card className="cards">
+      <CardBody>
+        <h1 className="text-center padded">
+          Fedora {props.release} {i18n.t("phrases.blockers_and_FEs")}{" "}
+          <SourceLink href="https://qa.fedoraproject.org/blockerbugs/" />
+        </h1>
+        <Row>
+          <BugStats milestone={i18n.t("words.beta")} stats={props.data.beta} />
+          <BugStats milestone={i18n.t("words.final")} stats={props.data.final} />
+        </Row>
+      </CardBody>
+    </Card>
   )
 }
 
diff --git a/src/landingpage/Events.js b/src/landingpage/Events.js
index 4b3f87e..05991da 100644
--- a/src/landingpage/Events.js
+++ b/src/landingpage/Events.js
@@ -2,8 +2,11 @@ import React from "react"
 import dateFormat from "dateformat"
 import SourceLink from "./SourceLink"
 import { Card, CardBody, Row, Col } from "reactstrap"
+import { useSelector } from "react-redux"
 
 const Events = (props) => {
+  const { i18n } = useSelector((state) => state.locale)
+
   const meetings = props.data.map((meeting) => {
     const old = new Date(meeting.start)
     var date = old.getDate()
@@ -28,7 +31,7 @@ const Events = (props) => {
     <Card className="cards">
       <CardBody>
         <h1 className="text-center padded">
-          Meetings and testdays in the next 7 days{" "}
+          {i18n.t("phrases.Meetings_and_testdays_in_the_next_7_days")}{" "}
           <SourceLink href="https://apps.fedoraproject.org/calendar/QA/" />
         </h1>
         <Col md={12} className="padded">
diff --git a/src/landingpage/LandingPage.js b/src/landingpage/LandingPage.js
index 7f2b89f..bcd136b 100644
--- a/src/landingpage/LandingPage.js
+++ b/src/landingpage/LandingPage.js
@@ -21,6 +21,7 @@ import { loadData, toggleLandingPageModal } from "../actions/reduxActions"
 import Cookies from "universal-cookie"
 
 const LandingPage = () => {
+  const { i18n } = useSelector((state) => state.locale)
   const cookies = new Cookies()
   let available_components = ["events", "blockers", "minutes"]
   let enabled_components = cookies.get("landingpage_enabled_components")
@@ -109,7 +110,7 @@ const LandingPage = () => {
               {components}
               <Col md={{ size: 12, offset: 2 }} className="text-right">
                 <Modal isOpen={showModal} toggle={toggleModal}>
-                  <ModalHeader>Visibility Configuration</ModalHeader>
+                  <ModalHeader>{i18n.t("phrases.visibility_configuration")}</ModalHeader>
                   <ModalBody>
                     {available_components.map((item) => (
                       <React.Fragment key={item}>
@@ -124,10 +125,10 @@ const LandingPage = () => {
                             />{" "}
                             <label className="custom-control-label clickable" htmlFor={item}>
                               {item === "events"
-                                ? "Meetings and testdays in the next 7 days"
+                                ? i18n.t("phrases.Meetings_and_testdays_in_the_next_7_days")
                                 : item === "minutes"
-                                ? "Fedora QA Meeting Minutes"
-                                : "Fedora 35 blockers and FEs"}
+                                ? i18n.t("phrases.Fedora_QA_Meeting_Minutes")
+                                : i18n.t("phrases.Fedora_35_blockers_and_FEs")}
                             </label>
                           </div>
                         </Col>
@@ -136,7 +137,7 @@ const LandingPage = () => {
                   </ModalBody>
                   <ModalFooter>
                     <Button color="primary" onClick={toggleModal}>
-                      Close
+                      {i18n.t("words.close")}
                     </Button>
                   </ModalFooter>
                 </Modal>
@@ -148,7 +149,7 @@ const LandingPage = () => {
                   className="pad btn btn-primary btn-block btn-wrap-text btn-lg active"
                   to="/wizard"
                   role="button">
-                  Click here, and help us make Fedora better! <i className="fas fa-search"></i>
+                  {i18n.t("phrases.do_you_have_some_spare_time")} <i className="fas fa-search"></i>
                 </Link>
               </Col>
             </Row>
diff --git a/src/landingpage/Minutes.js b/src/landingpage/Minutes.js
index 57d4249..5c7d7e0 100644
--- a/src/landingpage/Minutes.js
+++ b/src/landingpage/Minutes.js
@@ -1,6 +1,9 @@
 import React from "react"
+import { useSelector } from "react-redux"
 import { Card, CardBody } from "reactstrap"
 const Events = (props) => {
+  const { i18n } = useSelector((state) => state.locale)
+
   const old = props.data.date
 
   let date = old.slice(0, 10)
@@ -12,20 +15,20 @@ const Events = (props) => {
   return (
     <Card className="cards">
       <CardBody className="minutes">
-        <h1 className="text-center padded">Fedora QA Meeting Minutes</h1>
+        <h1 className="text-center padded">{i18n.t("phrases.Fedora_QA_Meeting_Minutes")}</h1>
         <div className="events minutes">
           <a target="_blank" href={props.data.link} rel="noopener noreferrer">
             Latest minutes from {dating} {timing}
           </a>
           <br />
-          Visit{" "}
+          {i18n.t("words.Visit")}{" "}
           <a
             target="_blank"
             href="https://meetbot.fedoraproject.org/sresults/?group_id=fedora-qa&type=team"
             rel="noopener noreferrer">
             meetbot
           </a>{" "}
-          to see older.
+          {i18n.t("phrases.to_see_older")}.
           <br />
         </div>
       </CardBody>
diff --git a/src/landingpage/Timeline.js b/src/landingpage/Timeline.js
index 0ebeb64..4ad0ff1 100644
--- a/src/landingpage/Timeline.js
+++ b/src/landingpage/Timeline.js
@@ -1,22 +1,21 @@
 import React, { useState } from "react"
+import { useSelector } from "react-redux"
 import { Card, CardBody, Tooltip } from "reactstrap"
 import SourceLink from "./SourceLink"
 
 const Timeline = (props) => {
+  const { i18n } = useSelector((state) => state.locale)
+
   const [tooltipOpen, setTooltipOpen] = useState(false)
 
   const toggle = () => setTooltipOpen(!tooltipOpen)
 
   const get_title = (summary) => {
     summary = summary.toLowerCase()
-    if (summary.includes("freeze"))
-      return "At the milestone freeze, pushes from the updates-testing to the stable repository are suspended until the release candidate is accepted."
-    if (summary === "rawhide")
-      return "Next Fedora release hasn't been branched yet from rolling release branch."
-    if (summary.includes("branch"))
-      return "Next version of Fedora that was 'branched' from the rolling Rawhide tree and in the future will become the next stable Fedora release."
-    if (summary.includes("release"))
-      return "Release candidate was accepted (violating no milestone criteria) and was released."
+    if (summary.includes("freeze")) return i18n.t("phrases.freeze_Text")
+    if (summary === "rawhide") return i18n.t("phrases.Rawhide_Text")
+    if (summary.includes("branch")) return i18n.t("phrases.branch_Text")
+    if (summary.includes("release")) return i18n.t("phrases.release_Text")
   }
 
   const line = props.data.map((milestone) => {
@@ -47,7 +46,7 @@ const Timeline = (props) => {
       <Card>
         <CardBody>
           <h1 className="text-center padded" width="150">
-            Current development schedule{" "}
+            {i18n.t("phrases.current_development_schedule")}{" "}
             <span href="#" id="TooltipExample">
               <i className="fas fa-question-circle light"></i>
             </span>
@@ -56,7 +55,7 @@ const Timeline = (props) => {
               isOpen={tooltipOpen}
               target="TooltipExample"
               toggle={toggle}>
-              This is a timeline of current Fedora release schedule
+              {i18n.t("phrases.timeline_Text")}
             </Tooltip>{" "}
             <SourceLink href="https://fedorapeople.org/groups/schedule/" />
           </h1>
diff --git a/src/landingpage/common/BugStats.js b/src/landingpage/common/BugStats.js
index 30aa810..0d42fae 100644
--- a/src/landingpage/common/BugStats.js
+++ b/src/landingpage/common/BugStats.js
@@ -1,9 +1,12 @@
 import React from "react"
+import { useSelector } from "react-redux"
 import { Table, Col } from "reactstrap"
 
 const BugStats = (props) => {
   const { milestone, stats } = props
 
+  const { i18n } = useSelector((state) => state.locale)
+
   return (
     <Col md={6} className="bugscount">
       <Table>
@@ -18,19 +21,19 @@ const BugStats = (props) => {
           {stats && (
             <>
               <tr>
-                <td>Proposed Blockers</td>
+                <td>{i18n.t("phrases.Proposed_Blockers")}</td>
                 <td>{stats.blockers_proposed}</td>
               </tr>
               <tr>
-                <td>Accepted Blockers</td>
+                <td>{i18n.t("phrases.Accepted_Blockers")}</td>
                 <td>{stats.blockers}</td>
               </tr>
               <tr>
-                <td>Proposed FEs</td>
+                <td>{i18n.t("phrases.Proposed_FEs")}</td>
                 <td>{stats.fe_proposed}</td>
               </tr>
               <tr>
-                <td>Accepted FEs</td>
+                <td>{i18n.t("phrases.Accepted_FEs")}</td>
                 <td>{stats.fe}</td>
               </tr>
             </>
diff --git a/src/layout/Footer.js b/src/layout/Footer.js
index f6cd591..f1447ac 100644
--- a/src/layout/Footer.js
+++ b/src/layout/Footer.js
@@ -1,16 +1,18 @@
-import React, { Component } from "react"
+import React from "react"
+import { useSelector } from "react-redux"
 
-class Footer extends Component {
-  render() {
-    return (
-      <div className="footer">
-        <div className="container">
-          <a href="https://pagure.io/fedora-qa/landingpage">Source</a> on Pagure{" "}
-          <span className="float-right">version 0.1.0</span>
-        </div>
+const Footer = () => {
+  const { i18n } = useSelector((state) => state.locale)
+
+  return (
+    <div className="footer">
+      <div className="container">
+        <a href="https://pagure.io/fedora-qa/landingpage">{i18n.t("words.source")}</a>{" "}
+        {i18n.t("phrases.on_Pagure")}{" "}
+        <span className="float-right">{i18n.t("words.version")} 0.1.0</span>
       </div>
-    )
-  }
+    </div>
+  )
 }
 
 export default Footer
diff --git a/src/layout/Masthead.js b/src/layout/Masthead.js
index 6b54173..e428a46 100644
--- a/src/layout/Masthead.js
+++ b/src/layout/Masthead.js
@@ -1,16 +1,34 @@
-import React from "react"
+import React, { useState } from "react"
 import { Link, useLocation } from "react-router-dom"
-import { Container, NavbarBrand, Navbar, Button } from "reactstrap"
+import {
+  Container,
+  NavbarBrand,
+  Navbar,
+  Button,
+  Dropdown,
+  DropdownToggle,
+  DropdownMenu,
+  DropdownItem,
+  ButtonDropdown,
+} from "reactstrap"
 import { API_CALL_STATUS_VALUES } from "../constants/ProjectConstants"
 import { ROUTE } from "../constants/Routes"
 import logo from "./logo.png"
-import { loadData, loadWizardData, toggleLandingPageModal } from "../actions/reduxActions"
+import {
+  changeLanguage,
+  loadData,
+  loadWizardData,
+  toggleLandingPageModal,
+} from "../actions/reduxActions"
 import { shallowEqual, useDispatch, useSelector } from "react-redux"
 
 const selectWizardFromStore = (state) => state.wizard.api_call_status
 const selectLandingPageFromStore = (state) => state.landing_page.api_call_status
 
 const Masthead = () => {
+  const { i18n } = useSelector((state) => state.locale)
+  const [dropdownOpen, setDropdownOpen] = useState(false)
+
   const location = useLocation()
   const dispatch = useDispatch()
 
@@ -48,6 +66,12 @@ const Masthead = () => {
     dispatch(toggleLandingPageModal(modalState))
   }
 
+  const handleClick = (lang) => {
+    dispatch(changeLanguage(lang))
+  }
+
+  const toggle = () => setDropdownOpen((prevState) => !prevState)
+
   return (
     <Navbar className="masthead">
       <Container>
@@ -56,6 +80,16 @@ const Masthead = () => {
             <img src={logo} alt="" />
           </Link>
         </NavbarBrand>
+        {ROUTE.LANDING_PAGE === location.pathname && (
+          <ButtonDropdown isOpen={dropdownOpen} toggle={toggle}>
+            <DropdownToggle caret>{i18n.t("phrases.select_language")}</DropdownToggle>
+            <DropdownMenu>
+              <DropdownItem onClick={() => handleClick("en")}>
+                {i18n.t("words.english")}
+              </DropdownItem>
+            </DropdownMenu>
+          </ButtonDropdown>
+        )}
         <div>
           {api_call_status() === API_CALL_STATUS_VALUES.STARTED ||
           api_call_status() === API_CALL_STATUS_VALUES.RETRYING ? (
@@ -65,7 +99,7 @@ const Masthead = () => {
                   <span className="fa-lg mr-1 text-danger">
                     <i className="fas fa-exclamation-triangle"></i>
                   </span>
-                  <span className="mr-3">Retrying</span>
+                  <span className="mr-3">{i18n.t("words.Retrying")}</span>
                 </>
               )}
               <span className="fa-lg mr-3">
@@ -78,7 +112,7 @@ const Masthead = () => {
               <span className="fa-lg mr-1">
                 <i class="fas fa-exclamation-triangle"></i>
               </span>
-              <span className="mr-3">Failed to fetch data!</span>
+              <span className="mr-3">{i18n.t("phrases.Failed_to_fetch_data")}</span>
               {handleRetry && (
                 <Button outline color="danger" size="sm" onClick={handleRetry}>
                   Retry
@@ -86,6 +120,7 @@ const Masthead = () => {
               )}
             </>
           )}
+
           {ROUTE.LANDING_PAGE === location.pathname && (
             <Button color="primary" onClick={toggleModal}>
               <i className="fas fa-cog"></i>
diff --git a/src/reducers/index.js b/src/reducers/index.js
index c1dad6b..731ecbb 100644
--- a/src/reducers/index.js
+++ b/src/reducers/index.js
@@ -1,4 +1,6 @@
 import ActionTypes from "../constants"
+import i18n from "i18n-js"
+import en from "../translation/en"
 
 const defaultState = {
   landing_page: {
@@ -21,6 +23,9 @@ const defaultState = {
   landing_page_controls: {
     showModal: false,
   },
+  locale: {
+    i18n: i18n,
+  },
 }
 
 export default (state = defaultState, action) => {
@@ -66,6 +71,22 @@ export default (state = defaultState, action) => {
           showModal: action.payload,
         },
       }
+
+    case ActionTypes.CHANGE_LANGUAGE:
+      let locale = action.payload
+      localStorage.setItem("locale", locale)
+      i18n.locale = locale
+      i18n.fallbacks = true
+      i18n.translations = { en }
+      let newI18n = { ...i18n }
+      return {
+        ...state,
+        locale: {
+          ...state.locale,
+          i18n: newI18n,
+        },
+      }
+
     default:
       return {
         ...state,
diff --git a/src/wizard/Easyfix.js b/src/wizard/Easyfix.js
index 384d63f..1ddaa0f 100644
--- a/src/wizard/Easyfix.js
+++ b/src/wizard/Easyfix.js
@@ -1,6 +1,7 @@
 import React from "react"
 import { CollapsableCard } from "./components"
 import { Col } from "reactstrap"
+import { useSelector } from "react-redux"
 
 export default (props) => {
   return (
@@ -15,6 +16,7 @@ export default (props) => {
 }
 
 const EasyfixSection = (props) => {
+  const { i18n } = useSelector((state) => state.locale)
   var title = props.title
   var subsections = Object.keys(props.data)
 
@@ -34,7 +36,7 @@ const EasyfixSection = (props) => {
     })
     title = (
       <span>
-        <b>{title}</b> - Is a group containing several projects. Expand to see more.
+        <b>{title}</b> - {i18n.t("phrases.is_a_group")}
       </span>
     )
 
diff --git a/src/wizard/FedoraEasyKarma.js b/src/wizard/FedoraEasyKarma.js
index 5c29c4b..3832782 100644
--- a/src/wizard/FedoraEasyKarma.js
+++ b/src/wizard/FedoraEasyKarma.js
@@ -1,129 +1,141 @@
 import React from "react"
+import { useSelector } from "react-redux"
 import { CollapsableBadge, ModalBadge } from "./components"
 
 export default (props) => {
+  const { i18n } = useSelector((state) => state.locale)
   if (props.data === undefined) return null
   else
     return (
       <div>
-        <h1>What is Karma</h1>
-        Before a new version of a package is pushed to the Fedora&apos;s Updates repository, it
-        needs to be tested and proved functional.{" "}
+        <h1>{i18n.t("phrases.What_is_Karma")}</h1>
+        {i18n.t("phrases.Before_a_new_version_of_a_package")}{" "}
         <CollapsableBadge expand_text="Tell me more about the process!">
-          The updates are kept in{" "}
+          {i18n.t("phrases.the_updates_are")}{" "}
           <a target="_blank" rel="noopener noreferrer" href="https://bodhi.fedoraproject.org/">
-            Bodhi
+            {i18n.t("words.Bodhi")}
           </a>
-          , which acts as a gatekeeper between new package releases and the stable repositories.{" "}
-          Users (or automated systems) can then provide feedback in form of positive/negative
-          Karma, marking the update as working (or not) within the scope of their expectations. An
-          update can (and usually does) consist of several packages (rpms), that are going through
-          the acceptance process together.
+          , {i18n.t("phrases.which_acts_as_a_gatekeeper")} {i18n.t("phrases.users_or_automated")}{" "}
+          {i18n.t("phrases.an_update_can")}
         </CollapsableBadge>
-        <h1 style={{ marginTop: 1 + "em" }}>Sure, let me do it!</h1>
+        <h1 style={{ marginTop: 1 + "em" }}>{i18n.t("phrases.sure_let_me_do_it")}</h1>
         <ol className="steps">
           <li>
-            Fedora Accounts System (FAS) account is required.{" "}
+            {i18n.t("phrases.Fedora_Accounts_System")}{" "}
             <CollapsableBadge expand_text="Don&#39;t have one yet?">
               <ul>
                 <li>
-                  Visit{" "}
+                  {i18n.t("words.Visit")}{" "}
                   <a
                     target="_blank"
                     rel="noopener noreferrer"
                     href="https://admin.fedoraproject.org/accounts/user/new">
-                    FAS Sign-up page
+                    {i18n.t("phrases.FAS_Sign_up_page")}
                   </a>{" "}
-                  and create it.
+                  {i18n.t("phrases.and_create_it")}
                 </li>
-                <li>Note the username and password, you will need it later on.</li>
+                <li> {i18n.t("phrases.note_the_user")}</li>{" "}
               </ul>
             </CollapsableBadge>
           </li>
           <li>
-            Make sure your system is up-to-date: <code>sudo dnf update --refresh</code>
+            {i18n.t("phrases.make_sure_your")}
+            <code>{i18n.t("phrases.sudo_dnf_update_refresh")}</code>
           </li>
           <li>
-            Install fedora-easy-karma tool: <code>sudo dnf install fedora-easy-karma</code>
+            {i18n.t("phrases.Install_fedora")}
+            <code>{i18n.t("phrases.sudo_dnf_install_fedora_easy_karma")}</code>
           </li>
           <li>
-            Choose an update to test{" "}
+            {i18n.t("phrases.choose_an_update")}{" "}
             <CollapsableBadge expand_text="Not sure how?">
-              Have a look at the available packages in <code>updates-testing</code> repo, by
-              running <code>dnf --enablerepo=updates-testing list --refresh --upgrades</code> and
-              choose a package you know.
+              {i18n.t("phrases.have_a_look_at")}
+              <code> {i18n.t("phrases.update_testing")}</code> {i18n.t("phrases.repo_by")}
+              <code>
+                {i18n.t("phrases.dnf_enablerepo_updates_testing_list_refresh_upgrades")}
+              </code>{" "}
+              {i18n.t("phrases.and_choose_a")}
             </CollapsableBadge>
           </li>
           <li>
-            Install the package{" "}
-            <code>sudo dnf --enablerepo=updates-testing update PACKAGE_NAME</code>, and test
-            whether it works, as you would expect.
+            {i18n.t("phrases.Install_the_package")}{" "}
+            <code>
+              {i18n.t("phrases.sudo_dnf_enablerepo_updates_testing_update_PACKAGE_NAME")}
+            </code>
+            , {i18n.t("phrases.and_test_whether_it_works")}
             <br />
-            <strong>Note:</strong> Other packages from <code>updates-testing</code> repo may be
-            installed as dependencies (shown during the installation process). Try to test those
-            too, if possible.{" "}
+            <strong> {i18n.t("words.Note")}</strong> {i18n.t("phrases.Other_packages_from")}
+            <code> {i18n.t("phrases.update_testing")}</code>
+            {i18n.t("phrases.repo_may_be_installed")}{" "}
             <CollapsableBadge expand_text="Need some tips?">
-              Sometimes, the update associated with the package you just installed fixes some
-              specific bugs, or has testcases associated with it.
+              {i18n.t("phrases.somtimes_the_update")}.
               <br />
-              Run <code>fedora-easy-karma --fas-username=FAS_USERNAME</code>, and look for{" "}
-              <code>Bugs</code>, <code>Test Cases</code>, and/or <code>Notes</code> sections in the
-              detailed output.{" "}
+              {i18n.t("words.Run")}{" "}
+              <code>{i18n.t("phrases.fedora_easy_karma_fas_username_FAS_USERNAME")}</code>,
+              {i18n.t("phrases.and_look_for")} <code>{i18n.t("words.Bugs")}</code>,{" "}
+              <code>{i18n.t("phrases.Test_Cases")}</code>, {i18n.t("phrases.and_or")}{" "}
+              <code>{i18n.t("words.notes")}</code>{" "}
+              {i18n.t("phrases.sections_in_the_detailed_output")}{" "}
               <ModalBadge expand_text="Want something a bit nicer?">
-                We already mentioned Bodhi, several times. Instead of using the{" "}
-                <code>fedora-easy-karma</code> interface for submitting Karma and/or learning about
-                the Update, you can visit Bodhi directly.
+                {i18n.t("phrases.we_already_mentioned_bodhi")}{" "}
+                <code>{i18n.t("phases.fedora-easy-karma")}</code>
+                {i18n.t("phrases.interface_for_submitting")}
                 <br />
-                <code>fedora-easy-karma</code> shows the URL of the relevant update near the bottom
-                of the text output - look for URL like{" "}
+                <code>
+                  {" "}
+                  {i18n.t("phrases.")} {i18n.t("phases.fedora-easy-karma")}
+                </code>{" "}
+                {i18n.t("phrases.shows_the_URL")}{" "}
                 <code>https://bodhi.fedoraproject.org/updates/FEDORA-2019-00870e8bfc</code>.
                 <br />
-                You can have a look at other people's comments, the afore-mentioned Bugs or Test
-                Cases, and even submit the Karma directly. Just use your FAS credentials to log-in.
+                {i18n.t("phrases.you_can_have_a_look")}
               </ModalBadge>
             </CollapsableBadge>
           </li>
           <li>
-            Run <code>fedora-easy-karma --fas-username=FAS_USERNAME</code> and report what you
-            found out.{" "}
+            {i18n.t("words.Run")}
+            <code>{i18n.t("phrases.fedora_easy_karma_fas_username_FAS_USERNAME")}</code>{" "}
+            {i18n.t("phrases.and_report_what_you_found_out")}{" "}
             <CollapsableBadge expand_text="New to fedora-easy-karma?">
-              It identifies the packages installed from the <code>updates-testing</code>{" "}
-              repository, and matches them to the updates in Bodhi.
+              {i18n.t("phrases.it_identifies")}
+              <code> {i18n.t("phrases.update_testing")}</code>{" "}
+              {i18n.t("phrases.repository_and_matches")}
               <br />
-              You are then presented with the relevant updates one-by-one, to submit Karma and a
-              comment.{" "}
+              {i18n.t("phrases.you_are_then_presented")}{" "}
               <ModalBadge expand_text="Not sure what Karma means?">
                 <ol>
                   <li>
-                    Enter <code>1</code> to mark positive karma (the update works just fine, as far
-                    as you can tell), or <code>-1</code> to mark the package as broken. <br />
-                    Not sure you can judge the package's state? Have a look at the{" "}
+                    {i18n.t("words.enter")}
+                    <code>1</code> {i18n.t("phrases.to_mark_positive")}+ <code>-1</code>{" "}
+                    {i18n.t("phrases.to_mark_the")} <br />
+                    {i18n.t("phrases.not_sure_you_can")}{" "}
                     <a
                       target="_blank"
                       href="https://fedoraproject.org/wiki/QA:Update_feedback_guidelines"
                       rel="noopener noreferrer">
-                      Update Feedback Guidelines
+                      {i18n.t("phrases.Update_Feedback_Guidelines")}
                     </a>
                     <br />
-                    Still not sure? Just press <code>Enter</code> to skip it.
+                    {i18n.t("phrases.still_not_sure")}
+                    <code>{i18n.t("words.enter")}</code>
+                    {i18n.t("phrases.to_skip_it")}
                   </li>
                   <li>
-                    Add a comment - even if it works, try to describe what you tested. It can be as
-                    easy as <code>I tried openning and editing a document, and it worked.</code>{" "}
-                    when you test a text-editor, or{" "}
-                    <code>I opened a couple of tabs, and browsed random pages.</code> for a
-                    web-browser.
+                    {i18n.t("phrases.add_a_comment")}{" "}
+                    <code> {i18n.t("phrases.i_tried_openning")}</code>
+                    {i18n.t("phrases.when_you_test")}{" "}
+                    <code>{i18n.t("phrases.i_opened_a_couple")}</code>{" "}
+                    {i18n.t("phrases.for_a_web")}.
                     <br />
-                    Absolutely make sure to provide reasonable amount of detail, when submitting
-                    negative karma - ideally, you should also create a bugreport, and reference it
-                    in the comment.
+                    {i18n.t("phrases.Absolutely_make_sure")}
                   </li>
                 </ol>
               </ModalBadge>
             </CollapsableBadge>
           </li>
           <li>
-            Restore the stable-packages on your system by running <code>sudo dnf distro-sync</code>
+            {i18n.t("phrases.Restore_the_stable")}{" "}
+            <code>{i18n.t("phrases.sudo_dnf_distro_sync")}</code>
           </li>
         </ol>
       </div>
diff --git a/src/wizard/Wizard.js b/src/wizard/Wizard.js
index 2459584..862467d 100644
--- a/src/wizard/Wizard.js
+++ b/src/wizard/Wizard.js
@@ -9,6 +9,7 @@ import { useParams } from "react-router"
 import WizardNavigation from "./WizardNavigation"
 
 const Wizard = (props) => {
+  const { i18n } = useSelector((state) => state.locale)
   const { step } = props
   const query = useParams()
   const selectAction = (state) => state.wizard.api_call_status
@@ -35,7 +36,7 @@ const Wizard = (props) => {
             {query.issues || query.provider === "fedora_easy_karma" ? (
               <Col md="12">
                 <h5 className="padded text-center">
-                  None of the above looks interesting to you? We'd be happy if you looked around at{" "}
+                  {i18n.t("phrases.None_of_the_above_looks_interesting_to_you")}{" "}
                   <a href="https://whatcanidoforfedora.org/">https://whatcanidoforfedora.org/</a>!
                 </h5>
               </Col>
